summaryrefslogtreecommitdiffstats
path: root/shell/snapshot-strip.sh
diff options
context:
space:
mode:
Diffstat (limited to 'shell/snapshot-strip.sh')
-rw-r--r--shell/snapshot-strip.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/shell/snapshot-strip.sh b/shell/snapshot-strip.sh
new file mode 100644
index 000000000..a418a75b0
--- /dev/null
+++ b/shell/snapshot-strip.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+
+# Strip -SNAPSHOT from pom
+find . -name "*.xml" -print0 | xargs -0 sed -i 's/-SNAPSHOT//g'